import { AnnotationLayer } from "./AnnotationLayer";
import { Brush } from "igniteui-react-core";
import { Series } from "./Series";
import { Thickness } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { CrosshairLayerFrame } from "./CrosshairLayerFrame";
import { List$1 } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Path } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CrosshairLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    protected pf: CrosshairLayerView;
    rm: Brush;
    rn: Brush;
    p4: string;
    pg: Series;
    pl: boolean;
    pj: boolean;
    xAxisAnnotationFormatLabel: (item: any) => string;
    ph(): boolean;
    yAxisAnnotationFormatLabel: (item: any) => string;
    pi(): boolean;
    rq: Brush;
    ro: Brush;
    py: number;
    rp: Brush;
    readonly ru: Thickness;
    pp: number;
    pr: number;
    pq: number;
    po: number;
    readonly rv: Thickness;
    pu: number;
    pw: number;
    pv: number;
    pt: number;
    ps: number;
    rt: Brush;
    rr: Brush;
    pz: number;
    rs: Brush;
    px: number;
    rx: Visibility;
    rw: Visibility;
    pk: boolean;
    protected ou(a: Series, b: boolean): void;
    protected ow(a: Frame, b: SeriesView): void;
    protected oh(a: Series): boolean;
    kd(): void;
    private qt;
    private pn;
    private pm;
    protected qu(a: CrosshairLayerFrame, b: boolean): void;
    private qs;
    protected oz(a: Frame, b: SeriesView): void;
    protected dp(): boolean;
    protected kp(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CrosshairLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CrosshairLayer);
    protected b4: CrosshairLayer;
    b5: Pool$1<Path>;
    protected b6: List$1<Path>;
    as(): void;
    private cc;
    private b7;
    private b9;
    private b8;
    ca(a: Path, b: number, c: number, d: number): void;
    cb(a: Brush): Brush;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
}
